#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp-test
version:              0.14.0.1
visibility:           public
id:                   lsp-test-0.14.0.1-BiWW15zHuBW2NJ9cOzt3By
key:                  lsp-test-0.14.0.1-BiWW15zHuBW2NJ9cOzt3By
license:              BSD-3-Clause
copyright:            2021 Luke Lau
maintainer:           luke_lau@icloud.com
author:               Luke Lau
homepage:
    https://github.com/haskell/lsp/blob/master/lsp-test/README.md

synopsis:             Functional test framework for LSP servers.
description:
    A test framework for writing tests against
    <https://microsoft.github.io/language-server-protocol/ Language Server Protocol servers>.
    @Language.LSP.Test@ launches your server as a subprocess and allows you to simulate a session
    down to the wire.
    To see examples of it in action, check out <https://github.com/haskell/haskell-ide-engine haskell-ide-engine>,
    <https://github.com/haskell/haskell-language-server haskell-language-server> and
    <https://github.com/digital-asset/ghcide ghcide>.

category:             Testing
abi:                  161f0781d2240494c38b0d4ff83e8974
exposed:              True
exposed-modules:
    Control.Applicative.Combinators from parser-combinators-1.3.0-5jHqYWwdpCqFWQLuYLRvi6:Control.Applicative.Combinators,
    Language.LSP.Test,
    Language.LSP.Types from lsp-types-1.3.0.1-HZR6GeAwYZ8K5dDZNUT8eh:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.3.0.1-HZR6GeAwYZ8K5dDZNUT8eh:Language.LSP.Types.Capabilities

hidden-modules:
    Language.LSP.Test.Compat Language.LSP.Test.Decoding
    Language.LSP.Test.Exceptions Language.LSP.Test.Files
    Language.LSP.Test.Parsing Language.LSP.Test.Server
    Language.LSP.Test.Session

import-dirs:          /usr/lib/ghc-9.0.1/site-local/lsp-test-0.14.0.1
library-dirs:         /usr/lib/ghc-9.0.1/site-local/lsp-test-0.14.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/lsp-test-0.14.0.1
hs-libraries:         HSlsp-test-0.14.0.1-BiWW15zHuBW2NJ9cOzt3By
depends:
    Diff-0.4.0-F7vyJzYzam9CwrUJdg8bD2
    Glob-0.10.2-FxPBWtL4naFIMrXUCDxzd6
    aeson-1.5.6.0-5GxEynAdVr82B7C7yhxG6H
    aeson-pretty-0.8.9-71TJn79Gxiu50vPxdZ1HuH
    ansi-terminal-0.11-MHbYlJDEnOHELv0ZCzYPq
    async-2.2.3-F66xIo1maxg6MMExHrEBEX base-4.15.0.0
    bytestring-0.10.12.1 conduit-1.3.4.2-GFxfol2STf9ogjGtalbG8
    conduit-parse-0.2.1.0-1oonAs4QV99mn8a90f4X2 containers-0.6.4.1
    data-default-0.7.1.1-G72xpj8UiZi7YKGl9obtXk directory-1.3.6.1
    filepath-1.4.2.1 lens-5.0.1-9pbMt139R9N5tQynASPlkd
    lsp-types-1.3.0.1-HZR6GeAwYZ8K5dDZNUT8eh mtl-2.2.2
    parser-combinators-1.3.0-5jHqYWwdpCqFWQLuYLRvi6 process-1.6.11.0
    some-1.0.3-7sghqqTkEQg7XqQ206Tg1F text-1.2.4.1 time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unordered-containers-0.2.14.0-EvtGmSgibELG8puyj0bZfl

haddock-interfaces:   /usr/share/doc/haskell-lsp-test/html/lsp-test.haddock
haddock-html:         /usr/share/doc/haskell-lsp-test/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

